Subject: Re: bug#2210: 23.0.90; Multiple labels in RMAIL

From: jpff <[email-masked]>
Date: Thu, 12 Feb 2009 06:16:28 +0000

>>>>> "Glenn" == Glenn Morris <[email-masked]> writes:

 Glenn> tags 2210 moreinfo
 Glenn> stop

 Glenn> jpff wrote:

 >> I am seeing labels like
 >> 
 >> X-RMAIL-KEYWORDS: music, music, music, music, music
 >> 
 >> No idea how or why but in previous RMAIL only one was seen

 Glenn> I can't reproduce this. If you think you didn't just happen to
 Glenn> explicitly add the same label multiple times, then I'm afraid you'll
 Glenn> have to try and track down why this is happening.

Yes; my mail classification system did call rmail-set-label on a tag
that was already there.  This was not a problem earlier and now is.  I
have reprogrammed the classifier, but I still consider this a bug --
or at least a loss of functionality

Also, I noticed that sometimes I have
>> X-RMAIL-KEYWORDS: music, music
and sometimes
>> X-RMAIL-KEYWORDS: music,music
which is curious

==John ffitch